//****************************************
//********** lib_base 的配置文件 ***********
//****************************************

plugins {
    alias(libs.plugins.library)
    alias(libs.plugins.kotlin)
    alias(libs.plugins.hilt)
    id "kotlin-kapt"
//    alias(libs.plugins.serialization)
}

apply from: '../base_lib.gradle'

import com.quyunshuo.androidbaseframemvvm.buildsrc.*

android {

    buildFeatures {
        viewBinding = true
    }

   // resourcePrefix "base_"
    namespace 'com.quyunshuo.androidbaseframemvvm.base'

}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])

    api DependencyConfig.AndroidX.CoreKtx
    api DependencyConfig.AndroidX.AppCompat
    api DependencyConfig.AndroidX.ConstraintLayout
    api DependencyConfig.AndroidX.ActivityKtx
    api DependencyConfig.AndroidX.FragmentKtx
    api DependencyConfig.AndroidX.MultiDex
    api DependencyConfig.AndroidX.Navigation
    api DependencyConfig.AndroidX.NavigationUI


    api DependencyConfig.Android.Material

    api DependencyConfig.Kotlin.Kotlin
    api DependencyConfig.Kotlin.CoroutinesCore
//    api DependencyConfig.Kotlin.KotlinSerialization
    api DependencyConfig.Kotlin.CoroutinesAndroid

    api DependencyConfig.JetPack.ViewModel
    api DependencyConfig.JetPack.ViewModelSavedState
    api DependencyConfig.JetPack.LiveData
    api DependencyConfig.JetPack.Lifecycle
    api DependencyConfig.JetPack.HiltCore

    api DependencyConfig.GitHub.Gson
    api DependencyConfig.GitHub.MMKV
    api DependencyConfig.GitHub.AutoSize
    api DependencyConfig.GitHub.ARoute
    api DependencyConfig.GitHub.RecyclerViewAdapter
    api DependencyConfig.GitHub.EventBus
    api DependencyConfig.GitHub.PermissionX
    api DependencyConfig.GitHub.AutoService
    api DependencyConfig.GitHub.OkHttp
    api DependencyConfig.GitHub.OkHttpInterceptorLogging
    api DependencyConfig.GitHub.Retrofit
    api DependencyConfig.GitHub.RetrofitConverterGson
    api DependencyConfig.GitHub.RetrofitConverterScalars
    api DependencyConfig.GitHub.Coil
    api DependencyConfig.GitHub.CoilGIF
    api DependencyConfig.GitHub.CoilSVG
    api DependencyConfig.GitHub.CoilVideo
    api DependencyConfig.GitHub.Toaster
    api DependencyConfig.GitHub.MagicIndicator
    api DependencyConfig.GitHub.Okhttputils
    api DependencyConfig.GitHub.MPAndroidChart
    api DependencyConfig.GitHub.BaseRecyclerViewAdapterHelper4
    api DependencyConfig.GitHub.Serialport
    api DependencyConfig.GitHub.XLog
    api DependencyConfig.GitHub.rxjava
    api DependencyConfig.GitHub.rxandroid

    api DependencyConfig.SDK.TencentBugly
    api DependencyConfig.SDK.TencentBuglyNative
//    api DependencyConfig.SDK.TencentTBSX5
    api DependencyConfig.SDK.GeTui
    api DependencyConfig.SDK.RabbitMq
    api files('libs\\ZtlApi.jar')

    api "com.github.weilinhu:mylibaray:1.0" //https://github.com/weilinhu/mylibaray //监听网络情况。
    api 'com.github.ldt-libs:SpringBackLayout:1.0' //回弹效果
    api 'com.github.kabouzeid:RecyclerView-FastScroll:1.0.16-kmod'
    api files('libs\\xzjh_interface_20240731.jar')

    //api project(':lib_common')


    kapt DependencyConfig.GitHub.ARouteCompiler
    kapt DependencyConfig.GitHub.EventBusAPT
    kapt DependencyConfig.GitHub.AutoServiceAnnotations
    kapt DependencyConfig.JetPack.HiltApt
    kapt DependencyConfig.JetPack.LifecycleCompilerAPT
    // implementation 'commons-codec:commons-codec:1.16.1'
    debugApi DependencyConfig.GitHub.LeakCanary

    api 'org.jetbrains.kotlin:kotlin-reflect:1.5.10'
    api 'com.google.code.gson:gson:2.10.1'
    api ('com.qiniu:qiniu-android-sdk:8.8.+'){
        exclude (group: 'com.squareup.okhttp3', module: 'okhttp')
    }
    api 'commons-codec:commons-codec:1.9'


}